#new predi maker
rm(list=ls())

SST<-read.csv(file.path("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/","SST_1870_2020.csv"))
AT<-read.csv(file.path("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/","AT_1960_2020.csv"))

SST_Reihen<-which(unlist(lapply(strsplit(as.character(SST$time),"-"),function(x) x[2]=="12"|x[2]=="01"|x[2]=="02"|x[2]=="03")))
AT_Reihen<-which(unlist(lapply(strsplit(as.character(AT$time),"-"),function(x) x[2]=="12"|x[2]=="01"|x[2]=="02"|x[2]=="03")))



sst<-as.numeric(as.vector(SST$sst[SST_Reihen]))
timi<-as.character(SST$time[SST_Reihen])
timu<-unique(timi)
ti<-character(length(timu))
seasurf<-numeric(length(timu))
for(i in 1:length(timu)){
  ti[i]<-timu[i]
  seasurf[i]<-mean(sst[which(timi==timu[i])],na.rm=T)
  
}
years<-as.numeric(unlist(lapply(strsplit(ti,"-"),function(x)x[1])))
months<-unlist(lapply(strsplit(ti,"-"),function(x)x[2]))
year_sst<-numeric(length(unique(years)))
meansst<-numeric(length(unique(years)))
for(i in 2:(length(unique(years))-1)){
  
  year_sst[i]<- unique(years)[i]
  meansst[i]<-mean(c(seasurf[years==unique(years)[i]][as.numeric(months[years==unique(years)[i]])!=12],seasurf[years==(unique(years)[i]-1)][as.numeric(months[years==(unique(years)[i]-1)])==12]),na.rm=T)
  
}
meansst<-meansst[-c(1,length(meansst))]
year_sst<-year_sst[-c(1,length(year_sst))]
#fr AT
at<-as.numeric(as.vector(AT$air[AT_Reihen]))
timi<-as.character(AT$time[AT_Reihen])
timu<-unique(timi)
ti<-character(length(timu))
airt<-numeric(length(timu))
for(i in 1:length(timu)){
  ti[i]<-timu[i]
  airt[i]<-mean(at[which(timi==timu[i])],na.rm=T)
  
}
years<-as.numeric(unlist(lapply(strsplit(ti,"-"),function(x)x[1])))
sy<-years
months<-unlist(lapply(strsplit(ti,"-"),function(x)x[2]))
sm<-months
year_at<-numeric(length(unique(years)))
meanat<-numeric(length(unique(years)))
for(i in 1:length(unique(years))){
  year_at[i]<- unique(years)[i]
  meanat[i]<-mean(c(airt[years==unique(years)[i]][as.numeric(months[years==unique(years)[i]])!=12],airt[years==(unique(years)[i]-1)][as.numeric(months[years==(unique(years)[i]-1)])==12]),na.rm=T)
  
}
meanat<-meanat[-c(1,length(meanat))]
year_at<-year_at[-c(1,length(year_at))]




# AT ab 1800
AT2<-read.csv(file.path("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/","AT_1800_2020.csv"))


AT2_Reihen<-which(unlist(lapply(strsplit(as.character(AT2$time),"-"),function(x) x[2]=="12"|x[2]=="01"|x[2]=="02"|x[2]=="03")))
at2<-as.numeric(as.vector(AT2$air[AT2_Reihen]))
timi<-as.character(AT2$time[AT2_Reihen])
timu<-unique(timi)
ti<-character(length(timu))
airt2<-numeric(length(timu))
for(i in 1:length(timu)){
  ti[i]<-timu[i]
  airt2[i]<-mean(at2[which(timi==timu[i])],na.rm=T)
  
}
years<-as.numeric(unlist(lapply(strsplit(ti,"-"),function(x)x[1])))
months<-unlist(lapply(strsplit(ti,"-"),function(x)x[2]))
year_at2<-numeric(length(unique(years)))
meanat2<-numeric(length(unique(years)))
for(i in 1:length(unique(years))){
  year_at2[i]<- unique(years)[i]
  meanat2[i]<-mean(c(airt2[years==unique(years)[i]][as.numeric(months[years==unique(years)[i]])!=12],airt2[years==(unique(years)[i]-1)][as.numeric(months[years==(unique(years)[i]-1)])==12]),na.rm=T)
  
}


# meanat2<-meanat2[-c(1,length(meanat2))]
# year_at2<-year_at2[-c(1,length(year_at2))]

#knitting AT and AT2
meanat<-c(mean(c(airt2[years==1960&as.numeric(months)==12],airt[sy==1961&as.numeric(sm)!=12])),meanat)
year_at<-c(1960,year_at)

AT<-c(meanat2[82:which(year_at2==1959)],meanat)
yat<-c(year_at2[82:which(year_at2==1959)],year_at)
SST<-meansst
ysst<-year_sst

SST<-SST[which(ysst%in%yat)]
ysst<-ysst[which(ysst%in%yat)]
# yat<-yat[which(yat%in%ysst)]
# AT<-AT[which(yat%in%ysst)]
AT[is.na(AT)]<-mean(meanat2[20:which(year_at2==1959)],na.rm=T)# I have to deal with 1 remaining NA



# NEST<-rowMeans(cbind(SST*-.236+1.022*AT+6.915, #Moulter Cay (open)
#                     (SST* -0.029)+(AT* 0.991)+2.786, #Bramble Cay (open)
#                     (SST* -0.1)+(AT* 0.519)+18.836, #Dowar Island(open)
#                     (SST* 0.106)+(AT* 0.3)+17.995, #Dowar Island (shaded)
#                     (SST* 0.122)+(AT* 0.876)+0.736, #Milman Island (open)
#                     (SST* -0.043)+(AT* 0.748)+7.938, #Milman Island (shaded)
#                     (SST* 0.083)+(AT* 0.446)+14.929, #Sandbank 7 (open)
#                     (SST* -0.007)+(AT* 0.604)+11.893 #Sandbank 8 (open)
# ))
# NEST<-SST*-.236+1.022*AT+6.915#Moulter Cay (open)
NEST<-AT+1.325
coli<-rep("black",length(ysst))
coli[NEST>29.3]<-"firebrick3"
coli[NEST<29.3]<-"royalblue"
# plot(ysst,NEST,type="b",lty=2,pch=19,lwd=3,cex=.7,xlab="Year",ylab="Nest Temperature")
# points(ysst,NEST,pch=19,cex=1.3,col=coli)
# abline(h=29.3,col="gray53")
# lines(yat,AT,col="deepskyblue",lwd=2)
# lines(ysst,SST,col="seagreen",lwd=2)

barplot(NEST-29.3,col=coli,names.arg=ysst)
rfp<-which(ysst==1960):which(ysst==2016)
barplot((NEST-29.3)[rfp],col=coli[rfp],names.arg=ysst[rfp],space=0,ylim=c(-1,1.5))
# stop()
realtemp<-NEST
plot(NEST,col=coli,pch=19)
abline(h=0,col="gray53")
lines(yat,AT,col="deepskyblue",lwd=2)
lines(ysst,SST,col="seagreen",lwd=2)
#pre_ind---------
preInd<-rep(29.3,83)

#climate change
relto<- mean(NEST[ysst%in%(1986:2005)])


setwd("D:/Arbeit/Turtles/files_rcp")
h1<-dir()
for(L in 1:length(h1)){
  
  
  setwd(paste0("D:/Arbeit/Turtles/files_rcp/",h1[L]))
  dats<-dir()
  for(i in 1:length(dats)){
    assign(sub(".dat","",dats)[i],read.table(dats[i]))
    # png(filename = paste("D:Arbeit/Turtles//Turtles/ERG/IPCC/",h1[L],"_",sub(".dat","",dats)[i],".png"),width = 600, height = 600)
    # matplot(get(sub(".dat","",dats)[i]),pch=19,main=paste(h1[L],sub(".dat","",dats)[i]))
    # graphics.off()
    # noquote(print(paste(h1[L],"____",sub(".dat","",dats)[i],"==== max:",max(get(sub(".dat","",dats)[i])),"min:",min(get(sub(".dat","",dats)[i])))))
  }}

for(i in 1:4){
  af<-ls(pattern=paste0("CCN_",c(2,4,6,8))[i])
  assign(paste0("ALL_",c(2,4,6,8)[i]),sapply(mget(af),FUN=function(x){x[,2]})[,-(9:13)])
  # assign(paste0("ALL4_",c(2,4,6,8)[i]),sapply(mget(af),FUN=function(x){x[,4]}))
}


ALL_Means<-cbind(apply(ALL_2,1,mean),apply(ALL_4,1,mean),apply(ALL_6,1,mean),apply(ALL_8,1,mean))
constant_climate2<-(ALL_Means-ALL_Means[1,])[(1:481)+which(ME_CCN_2[,1]==2020.5),1]
low_climate2<-(ALL_Means-ALL_Means[1,])[(1:481)+which(ME_CCN_2[,1]==2020.5),2]
moderate_climate2<-(ALL_Means-ALL_Means[1,])[(1:481)+which(ME_CCN_2[,1]==2020.5),3]
high_climate2<-(ALL_Means-ALL_Means[1,])[(1:481)+which(ME_CCN_2[,1]==2020.5),4]

temp_co <-c(preInd,realtemp,relto+constant_climate2)
temp_lo <-c(preInd,realtemp,relto+low_climate2)
temp_mo <-c(preInd,realtemp,relto+moderate_climate2)
temp_hi <-c(preInd,realtemp,relto+high_climate2)


save(temp_co,temp_lo,temp_mo,temp_hi ,realtemp,file="D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/starter_temperature.RData")
