setwd("D:/Arbeit/Turtles/ERG//Revision/Abildungsvorschlage")




load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")

#functions &Prep -----------
timeframe<-1800:2500
namaker<-function(x){
 return((x/repl)/(1-deatdpops/repl)*100 )
}
pivt<-function(){
  a <- 1        
  b <- 0.4424779
  temi<-seq(25,36,.001)
  return(cbind(temi,a/(1+exp(-(temi-29.3)/b))))
}
temp_maker<-function(){
  obs_time<-701
old<-29.3
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/starter_temperature.RData")
result<-cbind(temp_co,temp_lo,temp_mo,temp_hi)
colnames(result)<-c('constant','low','moderate','high')
return(result)
}

trajplot<-function(vec,sdvec,X,legendpos="topleft",ylabi="Average Value",m2="",smaly=0,maini=apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")})[X],ylimi=c(0,max(vec[,,X,2]+sdvec[,,X,2],na.rm=T)),mkg=TRUE,supressy=F,supressx=F){

  plot(timeframe,rep(NA,701),ylim=ylimi,xlab="",ylab="",main=maini,xaxt='n',yaxt='n')
  # if(!supressx){
  #   axis(1, at=seq(1800,2500,100), labels = FALSE, lwd = 3)
  #   #par("usr")[3]
  #   text(seq(1800,2500,100),  -.5, labels =seq(1800,2500,100), srt = 45, pos = 1,cex=6, xpd =TRUE)
  #   #axis(1, at=seq(1800,2500,100), labels=seq(1800,2500,100),srt=45)
  # }
  box(lwd=3)
  axis(side = 1, lwd = 3,labels=F,tck=-0.05)
  axis(side = 2, lwd = 3,labels=F,tck=-0.05)
  mtext(m2,3,line=7,cex=par("cex.main"))
  if(!supressx){
    mtext("Year",1,line=13,cex=par("cex.lab"))
    axis(1,tck=F, las=1, lwd = 3,mgp=c(par("mgp")[1],6,par("mgp")[3])) }
  if(!supressy){
    mtext(ylabi,2,line=13,cex=par("cex.lab")-smaly)
    axis(2,tck=F, las=2, lwd = 3,mgp=c(par("mgp")[1],4,par("mgp")[3])) }
  if(mkg==T){abline(v=c(1883,2020),col="gray53",lwd=2)}
for(m in 1:4){
  for(i in 1:700){
    polygon(x=c(timeframe[i:(i+1)],rev(timeframe[i:(i+1)])),y=c(vec[i:(i+1),m,X,2]+sdvec[i:(i+1),m,X,2],rev(vec[i:(i+1),m,X,2]-sdvec[i:(i+1),m,X,2])),col=adjustcolor(ocolo[i,m],alpha.f=.3),border=NA)
    lines(timeframe[i:(i+1)], vec[i:(i+1),m,X,2],type='l',lty=1,lwd=5,col=ocolo[i,m])
  }}
  if(legendpos!=""){legend(legendpos,Wert1,col=ocol,pch=15,cex=6,bty='n',title=expression(atop("CO"[2]~"-Emission",Scenario)))}
}

trajplot7<-function(vec,sdvec,X,legendpos="topleft",ylabi="Average Value",m2="",smaly=0,maini=apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")})[X],ylimi=c(0,max(vec[,,X,2]+sdvec[,,X,2],na.rm=T)),mkg=TRUE,supressy=F,supressx=F){
  
  plot(timeframe,rep(NA,701),ylim=ylimi,xlab="",ylab="",main=maini,xaxt='n',yaxt='n')
  # if(!supressx){
  #   axis(1, at=seq(1800,2500,100), labels = FALSE, lwd = 3)
  #   #par("usr")[3]
  #   text(seq(1800,2500,100),  -.5, labels =seq(1800,2500,100), srt = 45, pos = 1,cex=6, xpd =TRUE)
  #   #axis(1, at=seq(1800,2500,100), labels=seq(1800,2500,100),srt=45)
  # }
  box(lwd=3)
  axis(side = 1, lwd = 3,labels=F,tck=-0.05)
  axis(side = 2, lwd = 3,labels=F,tck=-0.05)
  mtext(m2,3,line=7,cex=par("cex.main"))
  if(!supressx){
    mtext("Year",1,line=13,cex=par("cex.lab"))
    axis(1,tck=F, las=1, lwd = 3,mgp=c(par("mgp")[1],6,par("mgp")[3])) }
  if(!supressy){
    mtext(ylabi,2,line=13,cex=par("cex.lab")-smaly)
    axis(2,tck=F, las=2, lwd = 3,mgp=c(par("mgp")[1],4,par("mgp")[3])) }
  if(mkg==T){abline(v=c(1883,2020),col="gray53",lwd=2)}
  for(m in 1:4){
    for(i in 1:700){
      polygon(x=c(timeframe[i:(i+1)],rev(timeframe[i:(i+1)])),y=c(vec[i:(i+1),m,X,2]+sdvec[i:(i+1),m,X,2],rev(vec[i:(i+1),m,X,2]-sdvec[i:(i+1),m,X,2])),col=adjustcolor(ocolo[i,m],alpha.f=.3),border=NA)
      lines(timeframe[i:(i+1)], vec[i:(i+1),m,X,2],type='l',lty=1,lwd=5,col=ocolo[i,m])
    }}
  if(legendpos!=""){legend(legendpos,Wert1,col=ocol,pch=15,cex=8,bty='n',title=expression(atop("CO"[2]~"-Emission",Scenario)))}
}

trajplot2<-function(vec,sdvec,X,legendpos="topleft",ylabi="Average Value",maini=apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")})[X]){
  plot(timeframe,rep(NA,701),ylim=c(0,max(c(ns[,,X,2]+ns_sd22[,,X,2],es[,,X,2]+es_sd22[,,X,2],ss[,,X,2]+ss_sd22[,,X,2]),na.rm=T)),xlab="Year",ylab=ylabi,main=maini)
  abline(v=c(1883,2020),col="gray53",lwd=2)
  for(m in 1:4){
    for(i in 1:700){
      polygon(x=c(timeframe[i:(i+1)],rev(timeframe[i:(i+1)])),y=c(vec[i:(i+1),m,X,2]+sdvec[i:(i+1),m,X,2],rev(vec[i:(i+1),m,X,2]-sdvec[i:(i+1),m,X,2])),col=adjustcolor(ocolo[i,m],alpha.f=.3),border=NA)
      lines(timeframe[i:(i+1)], vec[i:(i+1),m,X,2],type='l',lty=1,lwd=5,col=ocolo[i,m])
    }}
  legend(legendpos,Wert1,col=ocol,pch=15,cex=7,bty='n',title=expression(atop("CO"[2]~"-Emission",Scenario)))
}


trajplot3<-function(vec,sdvec,X,legendpos="topleft",ylabi="Average Value",maini=apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")})[X],ylimi=c(0,max(vec[,X,1]+sdvec[,X,1],na.rm=T)),wl){
  plot(timeframe,rep(NA,701),main=maini,xlab="Year",ylab=ylabi,xlim=c(timeframe[1],timeframe[length(timeframe)]+60),ylim=ylimi,xaxt='n',yaxt='n')
  axis(side = 1, lwd = 3,tck=-0.03,mgp=c(13,6,0))
  axis(side = 2, lwd = 3,tck=-0.03,mgp=c(10,3,0),las=2)
  box(lwd=3)
  for(m in wl){
    for(i in 1:700){
      polygon(x=c(timeframe[i:(i+1)],rev(timeframe[i:(i+1)])),y=c(vec[i:(i+1),m,X]+sdvec[i:(i+1),m,X],rev(vec[i:(i+1),m,X]-sdvec[i:(i+1),m,X])),col=adjustcolor(oco[i,m],alpha.f=.3),border=NA)
      # lines(timeframe[i:(i+1)], vec[i:(i+1),m,X],type='l',lty=1,lwd=5,col=oco[i,m])
    }}
  for(m in wl){
    for(i in 1:700){
      # polygon(x=c(timeframe[i:(i+1)],rev(timeframe[i:(i+1)])),y=c(vec[i:(i+1),m,X]+sdvec[i:(i+1),m,X],rev(vec[i:(i+1),m,X]-sdvec[i:(i+1),m,X])),col=adjustcolor(oco[i,m],alpha.f=.3),border=NA)
      lines(timeframe[i:(i+1)], vec[i:(i+1),m,X],type='l',lty=1,lwd=5,col=oco[i,m])
    }}
  points(rep(max(timeframe)+35,100),seq(min(ylimi),max(ylimi),length.out=100),col=viridis::plasma(100),pch=15,cex=20)
polygon(c(rep(max(timeframe)+14,2),rep(max(timeframe)+55,2)),c(which(seq(25,34,.1)==29.3)*max(ylimi)/91*.97,rep(which(seq(25,34,.1)==29.3)*max(ylimi)/91*1.03,2),which(seq(25,34,.1)==29.3)*max(ylimi)/91*.97),col="forestgreen",pch=15,cex=20,border=FALSE)
  text(rep(max(timeframe)+35),c(0.1*max(ylimi),max(ylimi)*.95),paste0(c(as.character(Wert1[1]),as.character(Wert1[length(Wert1)])),"C"),cex=3,col=c("white","black"))
  mtext("Temperature",4,line=5,srt=90,cex=6)
}


trajplot4<-function(xx,yy,X=1,tn="",suy=FALSE,sux=FALSE){
  
  

  plot(xx,rep(NA,length(xx)),xlab="",ylab="",ylim=c(0,200),xaxt='n',yaxt='n',main=tn)
  axis(side = 1, lwd = 3,tck=-0.03,mgp=c(13,6,0),labels=F)
  axis(side = 2, lwd = 3,tck=-0.03,mgp=c(10,3,0),las=1,labels=F)
  if(!sux){
    mtext("Average Final \n Population Size",2,line=14,cex=par("cex.lab"))
    axis(side = 2,las=2,at=c(0,100,200),labels=T)}
  if(!suy){
    mtext("Temperature in C",1,line=8,cex=par("cex.lab"))
    axis(side = 1,las=1,labels=T)}
  box(lwd=3)
  for(m in X){
    for(i in 1:(dim(deatdpops)[2]-1)){
      lines(xx[i:(i+1)], yy[701,i:(i+1),m],type='l',lty=1,lwd=5,col=oco[i,m])
    }}
  # mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse="-")})
  # 
  # legend("topleft",mecs[X],col=ocolo[X],pch=15,cex=2,title="Traits",bty='n')
  # 
}

#Abstract Figure-------------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")
dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")}),Wert3)
dimnames(deatdpops)[[3]][c(5,6,7,8,9,10,11)]<-c("Conservation Depth + Conservation Shade","Pivotal Temperature","Evolution Depth","Beach Philopatry","Evolution Shade","Conservation Depth","Conservation Shade")
dimnames(deatdpops)[[3]][1]<-"No Evolution or Conservation"
dp<-1-deatdpops[,,rev(c(1,8,6,7,10,9,11)),]/repl

myPanel <- function(x, y, z, ...) {
  lattice::panel.levelplot(x,y,z,...)
  lattice::panel.text(x, y, paste0(round(z,2)*100,"%"),cex=7,col=c("black","white")[as.numeric(z<.5)+1])
}



png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/ABSTRACT.png",width = 2750, height = 1800,pointsize=10)
plot.new() 
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=50,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
lattice::levelplot(dp[dim(deatdpops)[1],,,2] ,panel=myPanel,col.regions=viridis::viridis(100),xlab=list(expression(atop("CO"[2]~"-Emission",Scenario)),cex=5),scales=list(x=list(cex=5,rot=45),y=list(cex=5)),par.strip.text=list(cex=15),colorkey=list(width=15,labels=list(cex=8)),at=seq(0,1,.01),ylab=list("",cex=5))
mtext("Proportion Survived",side=4,cex=10,line=-10,adj=.65)
graphics.off()
#Fig1 Used Temperature----------------------------------
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F1.png",width = 2300, height = 1300,pointsize=10)
par(mfrow=c(1,1),xaxs='i',yaxs='i',mgp=c(10,4,0),mar=c(bottom=13,left=15,top=1,right=6.3),cex.lab=7,cex.main=7,cex.axis=7)
ocol<-viridis::plasma(9)[c(1,3,5,7)]
timeframe<-1799:2501
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/starter_temperature.RData")
used_temp<-cbind(temp_co,temp_lo,temp_mo,temp_hi)
mima<-c(used_temp+sd(realtemp),used_temp-sd(realtemp))
mima<-c(min(mima)-.1,max(mima)+.2)
matplot(timeframe,used_temp,type='l',lwd=5,lty=1,col=ocol,xlab="Year",ylab="Nest Temperature in C",ylim=mima,xaxt='n',yaxt='n')
for(i in 1:4){
  polygon(x=c(timeframe[1:83],rev(timeframe[1:83])),y=c(used_temp[1:83,i]-sd(realtemp),rev(used_temp[1:83,i]+sd(realtemp))),col=adjustcolor(ocol,alpha.f=.3)[i],lty=1,border=NA)
  polygon(x=c(timeframe[221:length(timeframe)],rev(timeframe[221:length(timeframe)])),y=c(used_temp[221:length(timeframe),i]-sd(realtemp),rev(used_temp[221:length(timeframe),i]+sd(realtemp))),col=adjustcolor(ocol,alpha.f=.3)[i],lty=1,border=NA)
}
matplot(timeframe,used_temp,type='l',lwd=5,lty=1,col=ocol,add=T)
abline(h=29.3,col="gray53",lwd=4,lty=3)
legend(1810,36.5,c("constant","low","moderate","high"),col=ocol,pch=15,cex=7,bty='n',title= expression(atop("CO"[2]~"-Emission",Scenario)))
axis(side = 1, lwd = 3,tck=-0.03,mgp=c(13,6,0))
axis(side = 2, lwd = 3,tck=-0.03,mgp=c(10,3,0),las=2)
box(lwd=3)
graphics.off()


#Fig2 Pivotal Temp--------------------------
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F2.png",width = 2300, height = 1000,pointsize=10)
par(mfrow=c(1,1),xaxs='i',yaxs='i',mgp=c(12,4,1000),mar=c(bottom=14,left=25,top=3,right=6.3),cex.lab=7,cex.main=7,cex.axis=7)

plot(pivt()[,1],pivt()[,2],type='l',lty=1,lwd=10,xlab="Temperature in C",ylab="Probability \n Female Hatchling",xaxt='n',yaxt='n',ylim=c(0,1))
lines(pivt()[,1]+1,pivt()[,2],type='l',lty=1,lwd=10,col="royalblue")
lines(pivt()[,1]-1,pivt()[,2],type='l',lty=1,lwd=10,col="royalblue")
polygon(c(pivt()[,1]+1,rev(pivt()[,1]-1)),c(pivt()[,2],rev(pivt()[,2])),col=adjustcolor("royalblue",alpha.f=.3),border=NA)
lines(pivt()[,1],pivt()[,2],col='black')
accol<-"gray40"
abline(h=.5,col=accol,lwd=8,lty=3)
lines(rep(29.3,2),c(0.5,0),col=accol,lwd=8,lty=3)
brei<-.15
polygon(c(29.3+brei,29.3,29.3-brei),c(.05,0,.05) ,border = NA,col=accol)
axis(side = 1,at=c(25,27,28,29.3,31,33,35), lwd = 3,tck=-0.03,mgp=c(15,6,0))
axis(side = 2,at=c(0,.5,1), lwd = 3,tck=-0.03,mgp=c(12,3,0),las=2)
box(lwd=3)
# accol<-rgb(colorRamp(c("royalblue","gray40"))(.7),maxColorValue = 255)
# lines(rep(29.3+2,2),c(0.5,0),col=accol,lwd=8,lty=3)
# brei<-.15
# polygon(c(29.3+brei+2,29.3+2,29.3-brei+2),c(.05,0,.05) ,border = NA,col=accol)
graphics.off()

#Fig3 Constant Temperature Trajectories---------------
load("D:/Arbeit/Turtles/ERG/C2ONSTANT/compressed.RData")
pops_sd22<-sqrt(pops_sd2)
fems2<-namaker(fems)
fems_sd22<-sqrt(fems_sd*repl/(repl-deatdpops)-fems2^2)
oco<-matrix(NA,nrow=701,ncol=length(Wert1))
ocolo<-viridis::plasma(length(Wert1))
ocolo[73]<-"forestgreen"


for(i in 1:length(ocolo)){
  for(m in 1:701){
    oco[m,i]<-adjustcolor(rgb(colorRamp(c(ocolo[i],"white"))(((deatdpops[,,1]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,1]/repl))[m,i])#adjustcolor(ocolo[i],alpha.f=(1-(deatdpops[,,1]/repl))[m,i])
 
     }}


png(filename = "D:/Arbeit/Turtles/Abildungsvorschlage/F3.png",width = 4000, height = 1000,pointsize=10)
par(mfrow=c(1,2),xaxs='i',yaxs='i',mgp=c(12,4,0),mar=c(bottom=13,left=30,top=7.5,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)

wl<-c(1,20,30,40,seq(50,70,length.out=5),seq(75,100,length.out=5),130,150,73)
for(xxx in 1){
trajplot3(pops,pops_sd22,xxx,legendpos="bottomleft",ylabi="Average \n Population Size",maini="(a)",wl=wl)
  trajplot3(fems2,fems_sd22,xxx,legendpos="bottomleft",ylabi="Average \n Porportion Females",ylimi=c(0,1),maini="(b)",wl=wl)
  }
graphics.off()


#Fig4 Constant Sumarry--------------------
load("D:/Arbeit/Turtles/ERG/F3/CONSTANT/compressed.RData")
mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse="-")})
cenzyme<-"forestgreen"
cbeach<-"firebrick2"
cshade<-"gold2"
cdepth<-"royalblue"

ocolo<-character(dim(deatdpops)[3])
ocolo<-c(
  rgb(colorRamp(c("black","black"))(.5),maxColorValue = 255),
  rgb(colorRamp(c(colorRamp(c(cenzyme, cdepth))(.5),colorRamp(c(cbeach,cshade))(.5)))(.5),maxColorValue = 255),
  # rgb(colorRamp(c(cenzyme, cdepth,cbeach,cshade))(.25),maxColorValue = 255),
  # rgb(colorRamp( c(colorRamp(c(cenzyme, cdepth))(.5),cbeach))(.6),maxColorValue = 255),
  rgb(colorRamp(c(cenzyme, cdepth,cbeach))(.33),maxColorValue = 255),
  # rgb(colorRamp( c(colorRamp(c(cenzyme,cshade ))(.5),cdepth))(.6),maxColorValue = 255),
  rgb(colorRamp(c(cshade, cdepth,cenzyme))(.33),maxColorValue = 255),
  rgb(colorRamp(c(cbeach,cenzyme, cshade))(.33),maxColorValue = 255),
  # rgb(colorRamp( c(colorRamp(c(cenzyme,cshade))(.5),cbeach))(.6),maxColorValue = 255),
  # rgb(colorRamp( c(colorRamp(c(cdepth,cbeach))(.5),cshade))(.6),maxColorValue = 255),
  
  rgb(colorRamp(c(cdepth,cbeach,cshade))(.33),maxColorValue = 255),
  rgb(colorRamp(c(cenzyme, cdepth))(.5),maxColorValue = 255),
  rgb(colorRamp(c(cenzyme, cbeach))(.5),maxColorValue = 255),
  rgb(colorRamp(c(cenzyme, cshade))(.5),maxColorValue = 255),
  rgb(colorRamp(c(cdepth,cbeach))(.5),maxColorValue = 255),
  rgb(colorRamp(c(cdepth,cshade))(.5),maxColorValue = 255),
  rgb(colorRamp(c(cbeach,cshade))(.5),maxColorValue = 255),
  cenzyme,
  cdepth,
  cbeach,
  cshade
)

oco<-matrix(NA,nrow=dim(deatdpops)[1],ncol=dim(deatdpops)[2])
for(i in 1:length(ocolo)){
  for(m in 1:dim(deatdpops)[2]){
    oco[m,i]<-adjustcolor(rgb(colorRamp(c(ocolo[i],"white"))(((deatdpops[701,m,i]/repl))),maxColorValue = 255),alpha.f=(1-(deatdpops[701,m,i]/repl)))#adjustcolor(ocolo[i],alpha.f=(1-(deatdpops[701,m,i]/repl)))
  }}
ol<-3.5
ul<-12
png(filename = "D:/Arbeit/Turtles/ERG/Abildungsvorschlage/F4.png",width = 2000, height = 1000,pointsize=10)
par(mfrow=c(2,2),xaxs='i',yaxs='i&',mgp=c(10,4,0),oma=c(bottom=10,left=23,top=1,right=2),mar=c(bottom=2,left=3,top=4,right=2),cex.lab=5,cex.main=4,cex.axis=6)
cl<-4

XX<-c(13:16,1)
trajplot4(Wert1,pops,XX,"(a)",suy=T,sux=F)
legend("topleft",paste(mecs[XX],c("(e)","(d)","(b)","(s)","")),col=ocolo[XX],pch=15,cex=cl,title="Traits",bty='n')

XX<-c(7:12,1)
trajplot4(Wert1,pops,XX,"(b)",suy=T,sux=T)
legend("topleft",c("e+d","e+b","e+s","d+b","d+s","b+s","none"),col=ocolo[XX],pch=15,cex=cl,title="Traits",bty='n')

XX<-c(3:6,1)
trajplot4(Wert1,pops,XX,"(c)",suy=FALSE,sux=FALSE)
legend("topleft",c("e+d+b","e+d+s","e+b+s","d+b+s","none"),col=ocolo[XX],pch=15,cex=cl,title="Traits",bty='n')

XX<-c(2,1)
trajplot4(Wert1,pops,XX,"(d)",suy=F,sux=T)
legend("topleft",c("all","none"),col=ocolo[XX],pch=15,cex=cl,title="Traits",bty='n')
graphics.off()
#plot(Wert1,(1-deatdpops/repl)[701,,1],type='l',lwd=5,xlab="Temperature in C",ylab="Propotion of Surviving Populations")
#plot(Wert1,pops[701,,1],type='l',lwd=5,xlab="Temperature in C",ylab="Average Final \n Population Size",ylim=c(0,200))

graphics.off()
xxxx<-c()
for(i in 1:dim(fems2)[2]){
  xxxx<-c(xxxx, timeframe[min(which(fems2[,i,1]>=.95),na.rm=T)] )
}

#Fig5 climate NO EVOLUTION-----------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")
ocol<-viridis::plasma(9)[c(1,3,5,7)]
ocolo<-matrix(NA,nrow=701,ncol=4)
# for(i in 1:length(ocol)){
#   for(m in 1:701){
#     ocolo[m,i]<-adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,1,1]/repl))[m,i])
#   }}
for(i in 1:length(ocol)){
  for(m in 1:701){
    ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,1,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,1,2]/repl))[m,i])#adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,1,1]/repl))[m,i])
  }}


fems2<-namaker(fems)
fems_sd22<-sqrt(fems_sd*repl/(repl-deatdpops)-fems2^2)

pops_sd22<-sqrt(pops_sd2)

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F5.png",width = 4000, height = 1000,pointsize=10)
par(mfrow=c(1,2),xaxs='i',yaxs='i',oma=c(bottom=4,left=4,top=1,right=1),mgp=c(10,4,0),mar=c(bottom=13,left=25,top=7,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
trajplot(pops,pops_sd22,1,legendpos="bottomleft",ylabi="Average \n Population Size",maini="(a)")
trajplot(fems2,fems_sd22,1,legendpos="",ylabi="Average \n Proportion Female",maini="(b)",ylimi=c(0,1))
graphics.off()

# Fig6 depth shade enzyme-------------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")
ocol<-viridis::plasma(9)[c(1,3,5,7)]
ocolo<-matrix(NA,nrow=701,ncol=4)
fems2<-namaker(fems)
fems_sd22<-sqrt(fems_sd*repl/(repl-deatdpops)-fems2^2)

pops_sd22<-sqrt(pops_sd2)
enz2<-namaker(enzs)
enzs_sd22<-sqrt(enzs_sd*repl/(repl-deatdpops)-enz2^2)
shades2<-namaker(shades)/30
shades_sd22<-sqrt((shades_sd*repl/(repl-deatdpops)-(shades2*30)^2))/30
mgenes2<-namaker(mgenes)
mgenes_sd22<-sqrt(mgenes_sd*repl/(repl-deatdpops)-mgenes2^2)

ocol<-viridis::plasma(9)[c(1,3,5,7)]


deepth<-7
shaade<-9
piiv<-6

ocolo1<-matrix(NA,nrow=701,ncol=4)
for(i in 1:length(ocol)){
  for(m in 1:701){
    ocolo1[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,deepth,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,deepth,2]/repl))[m,i])#ocolo[m,i]<-adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,X,1]/repl))[m,i]/3)
  }}
ocolo2<-matrix(NA,nrow=701,ncol=4)
for(i in 1:length(ocol)){
  for(m in 1:701){
    ocolo2[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,shaade,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,shaade,2]/repl))[m,i])#ocolo[m,i]<-adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,X,1]/repl))[m,i]/3)
  }}
ocolo3<-matrix(NA,nrow=701,ncol=4)
for(i in 1:length(ocol)){
  for(m in 1:701){
    ocolo3[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,piiv,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,piiv,2]/repl))[m,i])#ocolo[m,i]<-adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,X,1]/repl))[m,i]/3)
  }}

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F6.png",width = 2000, height = 1800,pointsize=10)
par(mfrow=c(3,3),xaxs='i',yaxs='i',mgp=c(10,4,0),oma=c(bottom=18,left=25,top=10,right=1),mar=c(bottom=1,left=2,top=8,right=7),cex.lab=5,cex.main=7,cex.axis=6)
X=c(deepth,shaade,piiv)[1];u=1;ocolo=ocolo1
trajplot(pops,pops_sd22,X,legendpos=c("bottomleft","","")[c(deepth,shaade,piiv)==X],ylabi="Average \n Population Size",m2=c("Depth","Shade","Pivotal Temperature")[c(deepth,shaade,piiv)==X],maini=paste0("(",letters[u],")"),supressx = T,supressy = F)
X=c(deepth,shaade,piiv)[2];u=2;ocolo=ocolo2
trajplot(pops,pops_sd22,X,legendpos=c("bottomleft","","")[c(deepth,shaade,piiv)==X],ylabi="Average \n Population Size",m2=c("Depth","Shade","Pivotal Temperature")[c(deepth,shaade,piiv)==X],maini=paste0("(",letters[u],")"),supressx = T,supressy = T)
X=c(deepth,shaade,piiv)[3];u=3;ocolo=ocolo3
trajplot(pops,pops_sd22,X,legendpos=c("bottomleft","","")[c(deepth,shaade,piiv)==X],ylabi="Average \n Population Size",m2=c("Depth","Shade","Pivotal Temperature")[c(deepth,shaade,piiv)==X],maini=paste0("(",letters[u],")"),supressx = T,supressy = T)

X=c(deepth,shaade,piiv)[1];u=4;ocolo=ocolo1
trajplot(fems2,fems_sd22,X,legendpos="",ylabi="Average \n Proportion Female",maini=paste0("(",letters[u],")"),supressx = T,supressy = F,ylimi=c(0,1))
X=c(deepth,shaade,piiv)[2];u=5;ocolo=ocolo2
trajplot(fems2,fems_sd22,X,legendpos="",ylabi="Average \n Proportion Female",maini=paste0("(",letters[u],")"),supressx = T,supressy = T,ylimi=c(0,1))
X=c(deepth,shaade,piiv)[3];u=6;ocolo=ocolo3
trajplot(fems2,fems_sd22,X,legendpos="",ylabi="Average \n Proportion Female",maini=paste0("(",letters[u],")"),supressx = T,supressy = T,ylimi=c(0,1))

X=c(deepth,shaade,piiv)[1];u=7;ocolo=ocolo1
trajplot(get(c("mgenes2","shades2","enz2")[which(c(deepth,shaade,piiv)==X)]),get(c("mgenes_sd22","shades_sd22","enzs_sd22")[which(c(deepth,shaade,piiv)==X)]),X,legendpos="",ylabi=paste("Average \n ","Trait Value"),maini=paste0("(",letters[u],")"),ylimi=cbind(c(0,1),c(0,35),c(0,1))[,which(c(deepth,shaade,piiv)==X)],supressx = F,supressy = F)
X=c(deepth,shaade,piiv)[2];u=8;ocolo=ocolo2
trajplot(get(c("mgenes2","shades2","enz2")[which(c(deepth,shaade,piiv)==X)]),get(c("mgenes_sd22","shades_sd22","enzs_sd22")[which(c(deepth,shaade,piiv)==X)]),X,legendpos="",ylabi=paste("Average \n ","Trait Value"),maini=paste0("(",letters[u],")"),ylimi=cbind(c(0,1),c(0,1),c(0,1))[,which(c(deepth,shaade,piiv)==X)],supressx = F,supressy = T)
X=c(deepth,shaade,piiv)[3];u=9;ocolo=ocolo3
trajplot(get(c("mgenes2","shades2","enz2")[which(c(deepth,shaade,piiv)==X)]),get(c("mgenes_sd22","shades_sd22","enzs_sd22")[which(c(deepth,shaade,piiv)==X)]),X,legendpos="",ylabi=paste("Average \n ","Trait Value"),maini=paste0("(",letters[u],")"),ylimi=cbind(c(0,1),c(0,35),c(0,1))[,which(c(deepth,shaade,piiv)==X)],supressx = F,supressy =T )

graphics.off()


#Fig7 beach---------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")

ns_sd22<-sqrt(ns_sd2)
es_sd22<-sqrt(es_sd2)
ss_sd22<-sqrt(ss_sd2)
beeach<-8
ocol<-viridis::plasma(9)[c(1,3,5,7)]
  ocolo<-matrix(NA,nrow=701,ncol=4)
  for(i in 1:length(ocol)){
    for(m in 1:701){
      ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,beeach,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,beeach,2]/repl))[m,i])#adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,61,1]/repl))[m,i])
    }}
  png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F7.png",width = 3000, height = 1000,pointsize=10)
  par(mfrow=c(1,3),xaxs='i',yaxs='i',mgp=c(10,7,0),oma=c(bottom=12,left=20,top=6,right=1),mar=c(bottom=9,left=1,top=8,right=12),cex.lab=7,cex.main=7,cex.axis=7)
trajplot7(ns,ns_sd22,beeach,legendpos="",ylabi="Population Size",maini="(a)",m2="North",ylimi = c(0,200))
trajplot7(es,es_sd22,beeach,legendpos="",ylabi="",maini="(b)",m2="East",supressy = T,ylimi = c(0,200))
trajplot7(ss,ss_sd22,beeach,legendpos="right",ylabi="",maini="(c)",m2="South",supressy = T,ylimi = c(0,200))
graphics.off()

#Fig8 conservation Basic-------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")
fems2<-namaker(fems)
fems_sd22<-sqrt(fems_sd*repl/(repl-deatdpops)-fems2^2)

pops_sd22<-sqrt(pops_sd2)
enz2<-namaker(enzs)
enzs_sd22<-sqrt(enzs_sd*repl/(repl-deatdpops)-enz2^2)
shades2<-namaker(shades)/30
shades_sd22<-sqrt((shades_sd*repl/(repl-deatdpops)-(shades2*30)^2))/30
mgenes2<-namaker(mgenes)
mgenes_sd22<-sqrt(mgenes_sd*repl/(repl-deatdpops)-mgenes2^2)

ocol<-viridis::plasma(9)[c(1,3,5,7)]
# ocolo<-matrix(NA,nrow=701,ncol=4)
# for(i in 1:length(ocol)){
#   for(m in 1:701){
#     ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,61,1]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,61,1]/repl))[m,i])#adjustcolor(ocol[i],alpha.f=(1-(deatdpops[,,61,1]/repl))[m,i])
#   }}
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F8.png",width = 2500, height = 1800,pointsize=10)
par(xaxs='i',yaxs='i',mgp=c(12,4,0),oma=c(bottom=15,left=25,top=20,right=1),mar=c(bottom=0,left=0,top=15,right=1),cex.lab=7,cex.main=5,cex.axis=6)

layout(cbind(matrix(rep(1:6,each=4),ncol=8,nrow=3,byrow=T),matrix(rep(7:12,each=4),ncol=8,nrow=3,byrow=T)))
bl<-0
bs<-0
ll<-4
ls<-4
tl<-7
ts<-7
rl<-8
rs<-8
CDeep<-10
CEDeep<-3
CShade<-11
CEShade<-4
xx<-CDeep #1
par(mar=c(bottom=bs,left=ll,top=tl,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(pops,pops_sd22,xx,legendpos="bottomleft",mkg=F,supressx = T,supressy = F,ylabi="Average \n Population Size",m2="Conservation Depth \n No Evolution",smaly=2,maini="(a)")
abline(v=timeframe[221],col="gray53",lwd=3)

xx<-CEDeep #2
par(mar=c(bottom=bs,left=ls,top=tl,right=rl))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(pops,pops_sd22,xx,legendpos="",supressx = T,supressy = T,mkg=F,ylabi="Average \n Population Size",m2="Conservation Depth \n Evolution",smaly=2,maini="(b)")
abline(v=timeframe[221],col="gray53",lwd=3)


xx<-CDeep #3
par(mar=c(bottom=bs,left=ll,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(fems2,fems_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = F,ylabi="Average \n Proportion Females",smaly=2,maini="(e)")
abline(v=timeframe[221],col="gray53",lwd=3)
xx<-CEDeep #4
par(mar=c(bottom=bs,left=ls,top=ts,right=rl))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(fems2,fems_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = T,ylabi="Average \n Proportion Females",smaly=2,maini="(f)")
abline(v=timeframe[221],col="gray53",lwd=3)


xx<-CDeep #5
par(mar=c(bottom=bl,left=ll,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(mgenes2,mgenes_sd22,xx,legendpos="",supressx = F,supressy = F,mkg=F,ylabi="Average \n Trait",smaly=2,maini="(i)",ylimi=c(0,1))
abline(v=timeframe[221],col="gray53",lwd=3)
xx<-CEDeep #6
par(mar=c(bottom=bl,left=ls,top=ts,right=rl))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(mgenes2,mgenes_sd22,xx,legendpos="",supressx = F,supressy = T,mkg=F,ylabi="Average \n Trait",smaly=2,maini="(j)",ylimi=c(0,1))
abline(v=timeframe[221],col="gray53",lwd=3)

#Shade
xx<-CShade #7
par(mar=c(bottom=bs,left=ls,top=tl,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(pops,pops_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = T,ylabi="Average \n Population Size",smaly=2,m2="Conservation Shade \n No Evolution",maini="(c)")
abline(v=timeframe[221],col="gray53",lwd=3)
par(mar=c(bottom=0,left=1,top=15,right=1))
xx<-CEShade #8
par(mar=c(bottom=bs,left=ls,top=tl,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(pops,pops_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = T,ylabi="Average \n Population Size",smaly=2,m2="Conservation Shade \n Evolution",maini="(d)")
abline(v=timeframe[221],col="gray53",lwd=3)


xx<-CShade #9
par(mar=c(bottom=bs,left=ls,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(fems2,fems_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = T,ylabi="Average \n Proportion Females",smaly=2,maini="(g)")
abline(v=timeframe[221],col="gray53",lwd=3)
par(mar=c(bottom=0,left=1,top=15,right=1))
xx<-CEShade #10
par(mar=c(bottom=bs,left=ls,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(fems2,fems_sd22,xx,legendpos="",mkg=F,supressx = T,supressy = T,ylabi="Average \n Proportion Females",smaly=2,maini="(h)")
abline(v=timeframe[221],col="gray53",lwd=3)


xx<-CShade #11
par(mar=c(bottom=bl,left=ls,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(shades2,shades_sd22,xx,legendpos="",mkg=F,supressx = F,supressy = T,ylabi="Average \n Tait",maini="(k)",smaly=2,ylimi=c(0,1))
abline(v=timeframe[221],col="gray53",lwd=3)
xx<-CEShade #12
par(mar=c(bottom=bl,left=ls,top=ts,right=rs))
ocolo<-matrix(NA,nrow=701,ncol=4);for(i in 1:length(ocol)){for(m in 1:701){ocolo[m,i]<-adjustcolor(rgb(colorRamp(c(ocol[i],"white"))(((deatdpops[,,xx,2]/repl))[m,i]),maxColorValue = 255),alpha.f=(1-(deatdpops[,,xx,2]/repl))[m,i])}}
trajplot(shades2,shades_sd22,xx,legendpos="",mkg=F,supressx = F,supressy = T,ylabi="Average \n Trait",maini="(l)",smaly=2,ylimi=c(0,1))
abline(v=timeframe[221],col="gray53",lwd=3)


graphics.off()

#Fig9 Conservation Intensity-----------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/conservation/compressed.RData")

# Mechtab<-matrix(NA,nrow=6);for (i in 6:1){ Mechtab<-cbind(Mechtab,rbind(combn(c("enzyme","depth","beach","shade","consdepth","consshade"),i),matrix("xx",nrow=6-i,ncol=choose(6,i))))};Mechtab[,1]<-c("none",rep("xx",5));Mechtab<-Mechtab[,c(1,which(colSums(Mechtab=="consdepth"| Mechtab=="consshade")>0))]

mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse="-")})

dimnames(pops)<-list(c(),Wert1,mecs,paste("??=",Wert3),paste("??=",Wert4))
dimnames(pops)[[3]][2]<-"all"
  dimnames(pops)[[3]][15]<-"C: Depth"
  dimnames(pops)[[3]][16]<-"C: Shade"
  dimnames(pops)[[3]][13]<-"C+E: Shade"
  dimnames(pops)[[3]][14]<-"C: Depth+Shade"
  dimnames(pops)[[3]][8]<-"C+E Depth"
# png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F9_pop.png",width = 8500, height = 10000,pointsize=10)
# plot.new()
# 
# print(lattice::levelplot(pops[701,,rev(c(1,15,16,13,14,8,2)),,],xlab="",ylab="",col.regions=c(viridis::viridis(100)),par.strip.text=list(cex=15),scales=list(x=list(cex=15,rot=45),main.text.cex=5,y=list(cex=15,rot=0)),colorkey=list(width=15,labels=list(cex=15)),at=seq(0,200,10)))
# mtext("Final Population Size",side=4,cex=25,line=-10,adj=.5)
# 
# graphics.off()

dimnames(deatdpops)<-list(c(),Wert1,mecs,paste("??=",Wert3),paste("??=",Wert4))
dimnames(deatdpops)[[3]][2]<-"all"
dimnames(deatdpops)[[3]][15]<-"C: Depth"
dimnames(deatdpops)[[3]][16]<-"C: Shade"
dimnames(deatdpops)[[3]][13]<-"C+E: Shade"
dimnames(deatdpops)[[3]][14]<-"C: Depth+Shade"
dimnames(deatdpops)[[3]][8]<-"C+E Depth"
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F9_surv.png",width = 8500, height = 10000,pointsize=10)
# par(mfrow=c(4,5))
plot.new()
print(lattice::levelplot((1-deatdpops/repl)[701,,rev(c(1,15,16,13,14,8)),,],xlab="",ylab="",col.regions=c(viridis::viridis(100)),par.strip.text=list(cex=15),scales=list(x=list(cex=15,rot=45),main.text.cex=5,y=list(cex=15,rot=0)),colorkey=list(width=15,labels=list(cex=15)),at=seq(0,1,.01)))
mtext("Proportion Survived",side=4,cex=25,line=-10,adj=.5)
graphics.off()
#Fig10 Migration Levelplot--------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/migration/compressed.RData")
dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")}),paste("m=",Wert3))
dimnames(deatdpops)[[3]][2:11]<-c("all","C.+E. Depth","C.+E. Shade","C. Depth + C. Shade","E. Pivotal Temperature","E. Depth","E. Beach","E. Shade","C. Depth","C. Shade")
dp<-1-deatdpops[,,rev(c("none","E. Depth","E. Shade","E. Pivotal Temperature","E. Beach","C. Depth","C.+E. Depth","C. Shade","C.+E. Shade","C. Depth + C. Shade","all")),]/repl
enla<-3
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F10.png",width = 4000*enla, height = 1800*enla)
plot.new()
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7*enla,cex.main=7*enla,cex.axis=6*enla)
print(lattice::levelplot(dp[dim(deatdpops)[1],,,-c(4,5)],col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=5*enla),scales=list(x=list(cex=5*enla,rot=45),y=list(cex=5*enla)),par.strip.text=list(cex=10*enla),colorkey=list(width=15,labels=list(cex=10*enla)),at=seq(0,1,.01),ylab=list("",cex=5*enla)))
mtext("Proportion Survived",side=4,cex=15*enla,line=-10,adj=.5)
graphics.off()
#Fig11 area--------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/areaG/compressed.RData")
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"Shade"
Mechtab[Mechtab=="depth"]<-"Depth"
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse=" + ")}),paste("g=",Wert3))

dp<-1-deatdpops[,,c(2:64,1),]/repl

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F11.png",width = 5500, height = 6000,pointsize=10)
plot.new()
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
print(lattice::levelplot(dp[dim(deatdpops)[1],,,],col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=8),scales=list(x=list(cex=8,rot=45),y=list(cex=8)),par.strip.text=list(cex=10),colorkey=list(width=15,labels=list(cex=10)),at=seq(0,1,.01),ylab=list("",cex=8)))
mtext("Proportion Survived",side=4,cex=25,line=-10,adj=.5)
graphics.off()
#Fig12 K----------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/K/compressed.RData")
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"Shade"
Mechtab[Mechtab=="depth"]<-"Depth"
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse=" + ")}),paste("N=",Wert3))
dimnames(deatdpops)[[3]][2]<-"all"
dp<-1-deatdpops[,,c(2:dim(deatdpops)[3],1),]/repl

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F12.png",width = 5000, height = 3000,pointsize=10)
plot.new()
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
print(lattice::levelplot(dp[dim(deatdpops)[1],,,],col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=8),scales=list(x=list(cex=8,rot=45),y=list(cex=8)),par.strip.text=list(cex=10),colorkey=list(width=15,labels=list(cex=10)),at=seq(0,1,.01),ylab=list("",cex=8)))
mtext("Proportion Survived",side=4,cex=20,line=-10,adj=.5)
graphics.off()
#Fig13 Migration-------------
# load("D:/Arbeit/Turtles/ERG/migration/compressed.RData")
# Mechtab[Mechtab=="consshade"]<-"C. Shade"
# Mechtab[Mechtab=="consdepth"]<-"C. Depth"
# Mechtab[Mechtab=="shade"]<-"Shade"
# Mechtab[Mechtab=="depth"]<-"Depth"
# Mechtab[Mechtab=="beach"]<-"Beach"
# Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
# dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")}),paste("m=",Wert3))
# dp<-1-deatdpops[,,,]/repl
# 
# png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F13.png",width = 4000, height = 5000,pointsize=10)
# plot.new()
# par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
# lattice::levelplot(dp[dim(deatdpops)[1],,,],col.regions=viridis::viridis(100),xlab=list("Climate Szenario",cex=5),scales=list(x=list(cex=5,rot=45),y=list(cex=5)),par.strip.text=list(cex=8),colorkey=list(width=15,labels=list(cex=10),at=seq(0,1,.01)),ylab=list("",cex=5))
# mtext("Proportion Survived",side=4,cex=20,line=-10,adj=.5)
# graphics.off()
#Fig14 Beach Mutation-----------------------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/BEACH/compressed.RData")
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"Shade"
Mechtab[Mechtab=="depth"]<-"Depth"
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse=" + ")})
mecs[2]<-"all"


dimnames(deatdpops)<-list(timeframe,Wert1,mecs,paste0("??=",Wert3))
dp<-1-deatdpops[,,,]/repl
enla<-3
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F14.png",width = 10000*enla, height = 4000*enla)
plot.new()
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7*enla,cex.main=7*enla,cex.axis=6*enla)
print(lattice::levelplot(dp[dim(deatdpops)[1],,,],col.regions=viridis::viridis(100),at=seq(0,1,.01),xlab=list("Climate Scenario",cex=15*enla),scales=list(x=list(cex=15*enla,rot=45),y=list(cex=15*enla)),par.strip.text=list(cex=18*enla),colorkey=list(width=18,labels=list(cex=15*enla)),ylab=list("",cex=13*enla)))
mtext("Proportion Survived",side=4,cex=18*enla,line=-100,adj=.5)
graphics.off()

#Fig15 Robustness-------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/ROBUST/compressed.RData")
dp<-1-deatdpops[,,,,]/repl
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"Shade"
Mechtab[Mechtab=="depth"]<-"Depth"
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse=" + ")})
mecs[c(2,3,4)]<-c("all","C.+E. Depth","C.+E. Shade")
dimnames(dp)<-list(c(),Wert1,mecs,c("Number of Individuals","Age at Maturity","Survival Rate","Mutation Rate","Pre-Industrial Nest Temperature"),c("-5%","","+5%"))


  for (m in 1:5){
   png(filename = paste0("D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F15_",c("Number of Individuals","Age at Maturity","Survival Rate","Mutation Rate","Pre-Industrial Nest Temperature")[m],".png"),width = 10000, height = 7000,pointsize=10)
plot.new()
    print(lattice::levelplot(dp[dim(deatdpops)[1],,,m,],at=seq(0,1,.01),col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=18),scales=list(x=list(cex=18,rot=45),y=list(cex=18)),par.strip.text=list(cex=18),colorkey=list(width=15,labels=list(cex=22)),ylab=list("",cex=18)))
   mtext("Proportion Survived",side=4,cex=25,line=-1,adj=.5)

    }   ;graphics.off()
# dp2<-aperm(dp, c(1,2,3,5,4))
# lattice::levelplot(dp2[701,,,,],xlab="",ylab="",col.regions=c(viridis::viridis(100)),par.strip.text=list(cex=15),scales=list(x=list(cex=15,rot=45),main.text.cex=5,y=list(cex=15,rot=0)),colorkey=list(width=15,labels=list(cex=10)))

# Fig 16 SOUTH------------------
load("D:/Arbeit/Turtles/ERG/F3/SOUTH/dp.RData")
Mechtab<-matrix(NA,nrow=6)
for (i in 6:1){
  Mechtab<-cbind(Mechtab,rbind(combn(c("enzyme","depth","beach","shade","consdepth","consshade"),i),matrix("xx",nrow=6-i,ncol=choose(6,i))))
}
Mechtab[,1]<-c("none",rep("xx",5))
Mechtab<-Mechtab[,c(1,2,51,57,58:64)]
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"Shade"
Mechtab[Mechtab=="depth"]<-"Depth"
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse=" + ")})
mecs[2]<-"all"
dp2<-1-(rbind(dp,dp,dp))[,1:11]/100
dimnames(dp2)<-list(c("","",""),mecs)
load("D:/Arbeit/Turtles/ERG/F3/SOUTH/SOUTHERN.RData")
xx<-c()
for(i in 1:11){
  xx<-c(xx,nind)
}

myPanel <- function(x, y, z, ...) {
  lattice::panel.levelplot(x,y,z,...)
  lattice::panel.text(x, y, rbind("",xx,""),cex=7,col=c("black","white")[as.numeric(z<.5)+1])
}

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F16.png",width = 2000, height = 2000,pointsize=10)
print(lattice::levelplot(dp2,panel=myPanel,col.regions=viridis::viridis(100),at=seq(0,1,.01),xlab="",scales=list(x=list(cex=8,rot=45),y=list(cex=8)),par.strip.text=list(cex=10),colorkey=list(width=15,labels=list(cex=10)),ylab=list("",cex=8)))
graphics.off()

#F17 Cons bersicht------------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/area/compressed.RData")
dp2<-1-deatdpops[701,,-c(6:9),2]/100
Mechtab[Mechtab=="consshade"]<-"C. Shade"
Mechtab[Mechtab=="consdepth"]<-"C. Depth"
Mechtab[Mechtab=="shade"]<-"E."
Mechtab[Mechtab=="depth"]<-"E."
Mechtab[Mechtab=="beach"]<-"Beach"
Mechtab[Mechtab=="enzyme"]<-"Piv. Temp."
mecs<-apply(Mechtab,2,FUN=function(x){paste(x[x!="xx"],collapse="+")})
mecs[2]<-"all"
mecs<-mecs[-c(6:9)]
dimnames(dp2)<-list(Wert1,(mecs))
myPanel <- function(x, y, z, ...) {
  lattice::panel.levelplot(x,y,z,...)
  lattice::panel.text(x, y, paste0(round(z,2)*100,"%"),cex=7,col=c("black","white")[as.numeric(z<.5)+1])
}
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F17.png",width = 2200, height = 2000,pointsize=10)
print(lattice::levelplot(dp2,panel=myPanel,col.regions=viridis::viridis(100),at=seq(0,1,.01),xlab=list("Climate Scenario",cex=8),scales=list(x=list(cex=8,rot=45),y=list(cex=8)),par.strip.text=list(cex=10),colorkey=list(width=15,labels=list(cex=10)),ylab=list("",cex=8)))
graphics.off()


#Fig18 JSurv----------
load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/JSurv/compressed.RData")
dimnames(deatdpops)<-list(timeframe,Wert1,apply(Mechtab[,Wert2],2,FUN=function(x){paste(x[x!="xx"],collapse="-")}),paste(Wert3))
dimnames(deatdpops)[[3]][2:11]<-c("all","C.+E. Depth","C.+E. Shade","C. Depth + C. Shade","Pivotal Temperature","Depth","Beach","Shade","C. Depth","C. Shade")
dp<-1-deatdpops[,,rev(c("none","Depth","Shade","Pivotal Temperature","Beach","C. Depth","C.+E. Depth","C. Shade","C.+E. Shade","C. Depth + C. Shade","all")),]/repl

png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F18.png",width = 5500, height = 1800,pointsize=10)
plot.new()
par(xaxs='i',yaxs='i',mgp=c(10,4,1000),mar=c(bottom=13,left=25,top=15,right=6.3),cex.lab=7,cex.main=7,cex.axis=6)
print(lattice::levelplot(dp[dim(deatdpops)[1],,,],col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=5),scales=list(x=list(cex=5,rot=45),y=list(cex=5)),par.strip.text=list(cex=7),colorkey=list(width=15,labels=list(cex=10)),at=seq(0,1,.01),ylab=list("",cex=5)))
mtext("Proportion Survived",side=4,cex=15,line=-10,adj=.5)
graphics.off()


#Fig19 ce ----------

load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/ce_ex/compressed.RData")
dimnames(deatdpops)<-list(timeframe,Wert1,paste0("t=",Wert2),paste0(Wert3*100,"%"))
dp<-1-deatdpops[701,,,]/repl

load("D:/Arbeit/Turtles/ERG/Revision/preInd_runs/nt3/ce_in/compressed.RData")
dimnames(deatdpops)<-list(timeframe,Wert1,paste0("??t=",Wert2),paste0(Wert3*100,"%"))
dp2<-1-deatdpops[701,,,]/repl
enla<-6
png(filename = "D:/Arbeit/Turtles/ERG/Revision/Abildungsvorschlage/F19_ce.png",width = 5500*enla, height = 2000*enla)
par(mfrow=c(2,1))
p1<-lattice::levelplot(dp,col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=7*enla),scales=list(x=list(cex=7*enla,rot=45),y=list(cex=7*enla)),par.strip.text=list(cex=7*enla),colorkey=list(width=15,labels=list(cex=10*enla)),at=seq(0,1,.01),ylab=list("",cex=10*enla),main=list("ex situ",cex=12*enla))
p2<-lattice::levelplot(dp2,col.regions=viridis::viridis(100),xlab=list("Climate Scenario",cex=7*enla),scales=list(x=list(cex=7*enla,rot=45),y=list(cex=7*enla)),par.strip.text=list(cex=7*enla),colorkey=list(width=15,labels=list(cex=10*enla)),at=seq(0,1,.01),ylab=list("",cex=10*enla),main=list("in situ",cex=12*enla))
library(gridExtra)
grid.arrange(p1, p2, ncol=2)
graphics.off()


